# OgreStringInterface.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreCommon.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef std::vector< ParameterDef > | ParameterList
typedef std::map< String, ParamCommand * > | ParamCommandMap
typedef std::map< String, ParamDictionary > | ParamDictionaryMap

## Enumerations

enum | ParameterType { PT_BOOL, PT_REAL, PT_INT, PT_UNSIGNED_INT, PT_SHORT, PT_UNSIGNED_SHORT, PT_LONG, PT_UNSIGNED_LONG, PT_STRING, PT_VECTOR3, PT_MATRIX3, PT_MATRIX4, PT_QUATERNION, PT_COLOURVALUE }
| List of parameter types available. More...

## Typedef Documentation

typedef std::map<String, ParamCommand* > Ogre::ParamCommandMap

| Definition at line 80 of file OgreStringInterface.h.

typedef std::map<String, ParamDictionary> Ogre::ParamDictionaryMap

| Definition at line 145 of file OgreStringInterface.h.

typedef std::vector<ParameterDef> Ogre::ParameterList

| Definition at line 69 of file OgreStringInterface.h.

## Enumeration Type Documentation

enum Ogre::ParameterType

List of parameter types available.

Enumeration values:

  PT_BOOL |
  PT_REAL |
  PT_INT |
  PT_UNSIGNED_INT |
  PT_SHORT |
  PT_UNSIGNED_SHORT |
  PT_LONG |
  PT_UNSIGNED_LONG |
  PT_STRING |
  PT_VECTOR3 |
  PT_MATRIX3 |
  PT_MATRIX4 |
  PT_QUATERNION |
  PT_COLOURVALUE |

Definition at line 41 of file OgreStringInterface.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:45 2009